Loading...
Searching...
No Matches
Dune::Functions::Experimental::SubDomain< HGV > Class Template Reference
Utility

Class representing a sub-domain of a GridView. More...

`#include <dune/functions/common/subdomain.hh>`

## Classes

struct | Codim
| Codim specific typedefs. More...

## Public Types

enum | { dimension = Grid::dimension }
using | HostGridView = HGV
using | Grid = typename HostGridView::Grid
using | IndexSet = SubDomainIndexSet<HostGridView>
using | GridView = SubDomainGridView<HostGridView>

## Public Member Functions

| SubDomain (const HostGridView &hostGridView)
| Construct SubDomain for underlying host grid view.
const IndexSet & | indexSet () const
GridView | gridView () const
| Create grid view representing the SubDomain.
HostGridView | hostGridView () const
| Access underlying host grid view.
void | insertElement (const typename Codim< 0 >::Entity &element)
| Insert element and all its sub-entities into SubDomain.
bool | contains (const typename Codim< 0 >::Entity &element) const
| Check if element is contained in SubDomain.

## Detailed Description

template<class HGV>
class Dune::Functions::Experimental::SubDomain< HGV >

Class representing a sub-domain of a GridView.

A SubDomain is a subset of grid elements from a given underlying grid view together with their sub-entities. It allows to create a SubDomainGridView which implements a reasonable subset of the grid view interface defined in dune-grid. In particular the SubDomainGridView implements an index set, a contains() methods, an element iterator and intersection iterators.

Template Parameters

  HGV | The underlying host grid view type.

## Member Typedef Documentation

## Grid

template<class HGV>

using Dune::Functions::Experimental::SubDomain< HGV >::Grid = typename HostGridView::Grid

## GridView

template<class HGV>

using Dune::Functions::Experimental::SubDomain< HGV >::GridView = SubDomainGridView<HostGridView>

## HostGridView

template<class HGV>

using Dune::Functions::Experimental::SubDomain< HGV >::HostGridView = HGV

## IndexSet

template<class HGV>

using Dune::Functions::Experimental::SubDomain< HGV >::IndexSet = SubDomainIndexSet<HostGridView>

## Member Enumeration Documentation

## anonymous enum

template<class HGV>

anonymous enum

Enumerator
dimension |

## Constructor & Destructor Documentation

## SubDomain()

template<class HGV>

Dune::Functions::Experimental::SubDomain< HGV >::SubDomain | ( | const HostGridView & | hostGridView | ) |

inline

Construct SubDomain for underlying host grid view.

## Member Function Documentation

## contains()

template<class HGV>

bool Dune::Functions::Experimental::SubDomain< HGV >::contains | ( | const typename Codim< 0 >::Entity & | element | ) | const

inline

Check if element is contained in SubDomain.

## gridView()

template<class HGV>

GridView Dune::Functions::Experimental::SubDomain< HGV >::gridView | ( |  | ) | const

inline

Create grid view representing the SubDomain.

## hostGridView()

template<class HGV>

HostGridView Dune::Functions::Experimental::SubDomain< HGV >::hostGridView | ( |  | ) | const

inline

Access underlying host grid view.

## indexSet()

template<class HGV>

const IndexSet & Dune::Functions::Experimental::SubDomain< HGV >::indexSet | ( |  | ) | const

inline

## insertElement()

template<class HGV>

void Dune::Functions::Experimental::SubDomain< HGV >::insertElement | ( | const typename Codim< 0 >::Entity & | element | ) |

inline

Insert element and all its sub-entities into SubDomain.

The documentation for this class was generated from the following file:

- subdomain.hh